Name:		calf
Version:	0.0.60
Release:	1%{?dist}
Summary:	Audio plugins pack
Group:		Applications/Multimedia

License:	GPLv2+ and LGPLv2+
URL:		http://www.calf-studio-gear.org/
Source0:	http://www.calf-studio-gear.org/files/%{name}-%{version}.tar.gz

BuildRequires:	expat-devel
BuildRequires:	glib2-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	ladspa-devel
BuildRequires:	libglade2-devel
BuildRequires:	lv2-devel
BuildRequires:  fluidsynth-devel
BuildRequires:  libtool
BuildRequires:  fftw-devel
BuildRequires:  autoconf
BuildRequires:  gcc-c++

%global common_desc \
The Calf project aims at providing a set of high quality open source audio\
plugins for musicians. All the included plugins are designed to be used with\
multitrack software, as software replacement for instruments and guitar stomp\
boxes.

%description
%common_desc

The plugins are available in LV2 and Standalone JACK formats.
This package contains the common files and the Standalone JACK plugin.

%prep
%setup -q

%build
./autogen.sh
./configure --enable-experimental --prefix=/usr --libdir=%{_libdir}
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/lib/* $RPM_BUILD_ROOT/%{_libdir}/
rmdir $RPM_BUILD_ROOT/usr/lib/

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc AUTHORS ChangeLog COPYING* README TODO
%{_bindir}/%{name}*
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}*
%{_mandir}/man7/%{name}*
%{_docdir}/%{name}
%{_libdir}/lv2/%{name}.lv2/

%changelog
* Sun Feb 14 2016 Tim Krone <tim@linux-daw.org> 2.0-1
- Initial build
